\name{add}
\alias{add}
\alias{add.iContainer}
\alias{add.spring}
\alias{add.space}
\alias{delete}
\alias{delete.iContainer}
\title{
  Methods for adding and removing real or virtual widgets to containers.
}
\usage{
add(...)
add.spring(cont)
add.space(cont, amount, horizontal=TRUE)

\method{add}{iContainer}(cont, widget)

delete(...)

\method{delete}{iContainer}(cont, widget)
}
\arguments{
  \item{cont}{window or other container to add/remove the widget to/from}
  \item{widget}{widget that should be added to/removed from the container}
  \item{amount}{amount of space (in pixels) that should be added}
  \item{horizontal}{direction in which the space should be added}
}
\description{
  \code{add} is a generic method for adding widgets to containers or
  windows. Likewise \code{delete} removes a widget from a
  container. Please note that you may need to call \code{\link{update}}
  method if auto-update is disabled.

  \code{add.spring} adds a flexible space to the container. A `spring'
  expands as much as it can.

  \code{add.space} adds a fixed-size space to the container. Unlike the
  spring, fixed space doesn't change while resized.
}
\seealso{
}
\examples{
}
\keyword{graphics}
