\name{icheckbox}
\alias{icheckbox}
\title{
  Check-box (two-state) widget.
}
\usage{
icheckbox(text, checked=FALSE, handler=NULL, window = NULL)
}
\arguments{
  \item{text}{text that will appear in the label of the check-box}
  \item{checked}{initial state of the checkbox (\code{TRUE} or
    \code{FALSE})}
  \item{handler}{event handler which is called upon state change}
  \item{window}{if specified the button is automatically added to the
    window or container}
}
\description{
  The check-box state can be accessed and changed using the
  \code{\link{get.value}} and \code{\link{set.value}} methods.
}
\seealso{
  \code{\link{get.value}},
  \code{\link{set.value}}
}
\examples{
w<-iwindow()
l<-ilabel("Play with the checkbox...", window=w)
icheckbox("I'm just a tiny checkbox", window=w,
          handler=function(h,...) set.value(l,
          paste("The checkbox state is ",get.value(h$obj))))
visible(w,TRUE)
}
\keyword{graphics}
