\name{idroplist}
\alias{idroplist}
\title{
  Edit field with a drop-down list. Also known as combo-box, combo-field or drop-down box.
}
\usage{
idroplist(items, editable=FALSE, handler=NULL, window = NULL)
}
\arguments{
  \item{items}{items that will appear in the drop-down list}
  \item{editable}{if set to \code{FALSE} (default) then only elements
    from the list may be selected. If set to \code{TRUE} then an
    arbitrary content can be entered by the user.}
  \item{handler}{habdler to be called after a selection of an item in
    the list or commited new user entry}
  \item{window}{if specified the button is automatically added to the
    window or container}
}
\description{
  The content of the drop-list can be accessed and changed using the
  \code{\link{get.value}} and \code{\link{set.value}} methods. In
  addition to the regulat use both mothods take an optional logical
  parameter \code{index}: if this parameter is set to \code{FALSE}
  (default) then \code{\link{set.value}} and \code{link{get.value}}
  work on the content of the list, that is the string representation of
  an entry. However if set to \code{TRUE} then an integer index is
  used. For editable lists \code{get.value(...,index=TRUE)} returns
  \code{0} if user-defined entry is used.
}
\seealso{
  \code{\link{get.value}},
  \code{\link{set.value}}
}
\examples{
w<-iwindow()
l<-ilabel("USe the drolist below",window=w)
idroplist(c("alpha","beta","gamma"), TRUE,
          handler=function(h,...)
            set.value(l, paste(get.value(h$obj)," (ID=",
                      get.value(h$obj,index=TRUE),")",sep='')),
          window=w)
visible(w,TRUE)
}
\keyword{graphics}
