\name{iedit}
\alias{iedit}
\title{
  Editable text field widget.
}
\usage{
iedit(text="", width=10, action=NULL, handler=NULL, window=NULL)
}
\arguments{
  \item{text}{text that will initally appear in the edit field}
  \item{width}{width of the field in characters}
  \item{action}{action name for the action that is sent once the user
    presses <Enter>}
  \item{handler}{event handler}
  \item{window}{if specified the button is automatically added to the
    window or container}
}
\description{
  The edit field text can be accessed and changed using the
  \code{\link{get.value}} and \code{\link{set.value}} methods.
}
\seealso{
  \code{\link{ievent}},
  \code{\link{get.value}},
  \code{\link{set.value}}
}
\examples{
w<-iwindow()
l<-ilabel("Type anything below and press <Enter>", window=w)
iedit(window=w, handler=function(h,...) set.value(l,get.value(h$obj)))
visible(w,TRUE)
}
\keyword{graphics}
