\name{ievent}
\alias{ievent}
\title{
  Event handling in iWidgets.
}
\description{
  Note: This documentation is experimental and may change in the
  future!

  Events in iWidgets are handled by user-defined functions. Such
  function will receive one or more parameters. The first parameter to
  every handler function is a reference to the handler object
  itself. It consists of the following fields:

  \code{handler} is the actual handler function as specified by the user
  
  \code{obj} is the source object, that is the object that sent the
  event. For example if you regirter a handler with a button
  (\code{\link{ibutton}}) then \code{obj} will be the object as
  returned by \code{\link{ibutton}}.

  \code{name} name of the handler. This field is for internal use only,
  but it identifier each handler uniquely.
}
\seealso{
}
\examples{
w <- iwindow()
add(w, igraphics())
a <- rnorm(100)
plot(density(a))
islider(1, window=w, handler=function(h,...)
    plot(density(a, bw=get.value(h$obj)/300)))
visible(w,TRUE)
}
\keyword{graphics}
