\name{igraphics}
\alias{igraphics}
\title{
  Special widged containing an R graphics device.
}
\usage{
igraphics(width=400, height=300, ps=12, window=NULL)
}
\arguments{
  \item{width}{initial width of the device. The actual width may change
    depending on the layout.}
  \item{height}{initial height of the device. The actual width may change
    depending on the layout.}
  \item{ps}{default size of the fonts}
  \item{window}{if specified the widget is automatically added to the
    window or container}
}
\description{
  This widget can be used as any other graphics device. Once the widget
  is created by the above function it becomes the current graphics
  device. The device-id (to be used with functions like
  \code{\link{dev.set}}) can be obtained from the \code{device} field
  if the \code{iGD} object which is returned by this function.

  Please note that the device is initially invisible if it's not added
  to any window or the window is hidden. This may be a bit confusing
  since subsequent \code{\link{plot}} calls seem to have to result
  until this widget is added to a visible window.
}
\seealso{
}
\examples{
# the usual "density" demo
w<-iwindow()
a<-rnorm(100)
l<-igraphics(window=w)
plot(density(a))
islider(1, window=w,
        handler=function(h,...) plot(density(a,get.value(h$obj)/300)))
visible(w,TRUE)
}
\keyword{graphics}
