\name{igroup}
\alias{igroup}
\title{
  Create a grouping widget
}
\description{
  Creates new container that can be used for grouping of other widgets.
}
\usage{
igroup(horizontal = TRUE, window = NULL)
}
\arguments{
  \item{horizontal}{determines the direction in which all sub-widgets
    are laid out. If set to \code{TRUE} then all widgets are laid out
    in a row, if set to \code{FALSE} then all widgets are laid out in a
    column. The groups can be nested allowing arbitrary layouts. A
    `dummy' widgets in form of a fixed or expanding space can be
    created using \code{\link{add.space}} and \code{\link{add.spring}}
    functions.
  }
  \item{window}{
    the groups will be automatically added to the container specified by
    this argument unless it's \code{NULL}.
  }
}
\details{
  Groups are simple containers that facilitate layout of widgets in a
  window. Each group partitions the available space in boxes of
  different size, but always in the same directions.
}
\seealso{
\code{\link{add.space}},
\code{\link{add.spring}}
}
\examples{
w<-iwindow("Hello")
# default window layout orientation is vertical
ilabel("Just a simple label",window=w)
# we want two buttons below, but side-by-side
# so we need a horizontal group (which is default)
g<-igroup(window=w)
# add the buttons to the group, not to the window
ibutton("OK", window=g, handler=function(...) dispose(w))
ibutton("Cancel", window=g, handler=function(...) dispose(w))
# finally layout and show
update(w)
visible(w,TRUE)
}
\keyword{graphics}
