\name{iradio}
\alias{iradio}
\title{
  A group of linked radio-button widgets.
}
\usage{
iradio(items, selected=1, horizontal=FALSE, handler=NULL, window=NULL)
}
\arguments{
  \item{items}{A vector of strings describing the buttons. Initially there must
    be at least two items, otherwise no selection is sensible.}
  \item{selected}{An integer defining which button should be initially
    selected .}
  \item{horizontal}{defines the orientation of the buttons - horizontal
    (\code{TRUE}) or vertical (\code{FALSE})}
  \item{handler}{event handler which is called upon state change}
  \item{window}{if specified the buttons are automatically added to the
    window or container}
}
\description{
  The currently selected button (by its number, i.e. the position in the
  initial vector) can be accessed and changed using the
  \code{\link{get.value}} and \code{\link{set.value}} methods.
}
\seealso{
  \code{\link{get.value}},
  \code{\link{set.value}}
}
\examples{
w<-iwindow()
l<-ilabel("Play with the buttons...", window=w)
iradio(c("alpha","beta","gamma"), window=w,
          handler=function(h,...) set.value(l,
          paste("Current button: ",get.value(h$obj))))
visible(w,TRUE)
}
\keyword{graphics}
