\name{islider}
\alias{islider}
\title{
  A slider widget.
}
\usage{
islider(min=0, max=100, value=min, horizontal=TRUE, handler=NULL, window = NULL)
}
\arguments{
  \item{min}{minimal value of the slider}
  \item{max}{maximal value of the slider}
  \item{value}{initial value of the slider}
  \item{horizontal}{orientation of the slider}
  \item{handler}{event handler which is called upon value change}
  \item{window}{if specified the button is automatically added to the
    window or container}
}
\description{
  The slider value is always an integer and can be accessed and changed
  using the \code{\link{get.value}} and \code{\link{set.value}} methods.
}
\seealso{
  \code{\link{get.value}},
  \code{\link{set.value}}
}
\examples{
w<-iwindow()
l<-ilabel("Play with the slider...", window=w)
islider(window=w, handler=function(h,...) set.value(l,
          paste("Slider value: ",get.value(h$obj))))
visible(w,TRUE)
}
\keyword{graphics}
